Package com.norconex.commons.lang.bean.jackson

# Class JsonXmlCollectionModule.CollectionSerializerModifier

java.lang.Object
com.fasterxml.jackson.databind.ser.BeanSerializerModifier
com.norconex.commons.lang.bean.jackson.JsonXmlCollectionModule.CollectionSerializerModifier

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  JsonXmlCollectionModule

public static class JsonXmlCollectionModule.CollectionSerializerModifier extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionSerializerModifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonSerializer<?>`
  `modifyCollectionSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.type.CollectionType valueType, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonSerializer<?> serializer)`

  ### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

  `changeProperties, modifyArraySerializer, modifyCollectionLikeSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionSerializerModifier

    public CollectionSerializerModifier()

- ## Method Details

  - ### modifyCollectionSerializer

    public com.fasterxml.jackson.databind.JsonSerializer<?> modifyCollectionSerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.type.CollectionType valueType, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonSerializer<?> serializer)
    Overrides:
      `modifyCollectionSerializer` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`